<template lang="pug">

-
	var rutas = [
		{
			url:"/escritorio",
			titulo: "Escritorio"
		},
		{
			url:"/disco",
			titulo: "Archivos"
		},
		{
			url:"/perfil",
			titulo: "Perfil"
		}
	]

header#encabezado
	h1: router-link(to="/escritorio")
		img( src="~@img/logo.svg", alt="Mobil")
	nav( v-if="usuario.id" ): ul
		each ruta in rutas
			li: router-link(to=ruta.url)=ruta.titulo

	div.perfil(v-if="usuario.id")
		figure
			img( v-if="perfil.imagen", :src="perfil.imagen", :alt="alias" )
			img( v-else, src="@img/man-user.svg", :alt="alias")
		h3 {{ nombreCompleto | capitalizar }}
		a( href="#", @click="salir" ) Salir


</template>

<script>
import { mapState, mapMutations, mapGetters } from 'vuex'
import router from '@/router'

export default {
	name:"Encabezado",
	computed:{
		...mapState([
			"usuario",
			"perfil"
		]),
		...mapGetters([
			"nombreCompleto",
			"alias"
		])
	},
	methods:{
		salir(){
			this.cerrarSesion();
			router.push({ path: '/login' });
		},
		...mapMutations([
			"cerrarSesion"
		])
	}
}
</script>


<style lang="stylus" scoped>
@import '~nib/index'
@import "../stylus/base/utiles.styl"

#encabezado
	display grid
	grid-template-columns 25vw 1fr 15vw
	grid-column-gap 1rem
	grid-template-areas "logo menu usuario"
	justify-items stretch
	align-items center
	color azul
	background-color #fff
	background-image linear-gradient( blanco, 25% blanco, darken( blanco, 10% ) )
	height 75px
	padding 1rem

	h1
		grid-area logo
		align-self center

		a
			display block

		img
			max-width 10vw
			margin 0 1rem
			max-height 32px

	nav
		grid-area menu

		ul
			display flex

		li
			margin-right 2rem

			a
				display block
				padding 0.7em 2em
				text-decoration none
				border-radius 3em
				color tint( azul, 40% )
				font-size calcRem( 14  )

				&.activo
					background-color azul
					color blanco

	.perfil
		grid-area usuario
		display grid
		grid-template-columns 48px 1fr
		grid-template-rows min-content min-content
		grid-gap .25rem .5rem
		grid-template-areas "foto nombre"\
			"foto enlaces"
		align-items center
		align-content center

		figure
			grid-area foto
			width 48px
			height 48px
			border-radius 48px;
			box-sizing border-box
			border 2px solid tint( azul, 80% )
			background-color tint( azul, 40% )
			overflow hidden
			padding 0

		h3
			grid-area nombre
			text-align left
			color gris
			font-size calcRem( 14 )
			align-self end

		a
			grid-area enlaces
			align-self start
			text-decoration none
			text-align left
			color tint( azul, 20% )
			font-size calcRem( 12 )

</style>
